/*
 * Copyright (c) 2018 Includable.
 * Created by Thomas Schoffelen.
 */

const uninstall = require('spawn-npm-install').uninstall
const Plugins = require('../../util/Plugins')
const output = require('../../output')

module.exports = function (name) {
  if (name.indexOf('cli-') < 0) {
    name = '@includable/cli-' + name
  }

  uninstall(name, {
    cwd: Plugins.directory,
    noShrinkwrap: true,
    production: true,
    noBinLinks: true,
    save: true
  }, function (err) {
    if (err) {
      output.errSimple(err.message)
    }
  })
}
